- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# CScrollContainer Class Reference

`#include <cscrollview.h>`

Inheritance diagram for CScrollContainer:

List of all members.

## Public Member Functions
| CScrollContainer (const CRect &size, const CRect &containerSize, CFrame *pParent, CBitmap *pBackground=0)
virtual | ~CScrollContainer ()
void | setScrollOffset (CPoint offset, bool withRedraw=false)
void | getScrollOffset (CPoint &off) const
CRect | getContainerSize () const
void | setContainerSize (const CRect &cs)
virtual void | redrawRect (CDrawContext *context, const CRect &rect)
virtual bool | isDirty () const
| check if view is dirty
## Protected Attributes
CRect | containerSize
CPoint | offset

## Constructor & Destructor Documentation

CScrollContainer::CScrollContainer | ( | const CRect & | size,
|  | const CRect & | containerSize,
|  | CFrame * | pParent,
|  | CBitmap * | pBackground = `0`
| ) |

CScrollContainer::~CScrollContainer | ( |  | ) | `[virtual]`

## Member Function Documentation

CRect CScrollContainer::getContainerSize | ( |  | ) | const`[inline]`

void CScrollContainer::getScrollOffset | ( | CPoint & | off | ) | const`[inline]`

bool CScrollContainer::isDirty | ( |  | ) | const`[virtual]`

| check if view is dirty Reimplemented from CViewContainer.

void CScrollContainer::redrawRect | ( | CDrawContext * | context,
|  | const CRect & | rect
| ) | `[virtual]`

  | Parameters:
  | context | the context which to use to redraw this container
  | rect | the area which to redraw
Reimplemented from CViewContainer.

void CScrollContainer::setContainerSize | ( | const CRect & | cs | ) |

void CScrollContainer::setScrollOffset | ( | CPoint | offset,
|  | bool | withRedraw = `false`
| ) |

## Member Data Documentation

CRect CScrollContainer::containerSize`[protected]`

CPoint CScrollContainer::offset`[protected]`

The documentation for this class was generated from the following files:

- cscrollview.h
- cscrollview.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.